# Turn off the brp-python-bytecompile script
%global __os_install_post %(echo '%{__os_install_post}' | sed -e 's!/usr/lib[^[:space:]]*/brp-python-bytecompile[[:space:]].*$!!g')

%define __requires_exclude ^(pear\\(graph.*|pear\\(includes.*|pear\\(modules.*)$

%define _enable_debug_packages %{nil}
%define debug_package          %{nil}

%define use_git                0
%define git                    %nil
%define real_version           3.6.0
%define mmc_version            3.1.0

Summary:	Management Console
Name:		pulse2
Version:	%real_version
%if ! %use_git
Release:    %mkrel 3
%else
Release:    %mkrel 0.%git.3
%endif
License:	GPL
Group:		System/Servers
URL:		https://github.com/pulse-project/pulse
%if ! %use_git
Source0:        %{name}-%{real_version}.tar.gz
%else
Source0:	%{name}_%{real_version}+%{git}.orig.tar.gz
%endif
#TODO: Adapt for Mageia
Source1:        pulse2-dlp-server.init
Patch1:         0002-pulse2-2.0-change-launcher-scheduler-ports.patch
BuildRequires:	python-devel
BuildRequires:	gettext
BuildRequires:	gettext-devel
BuildRequires:  xsltproc
BuildRequires:  wget
BuildRequires:  docbook-style-xsl

Requires:       mmc-agent
Requires:       mmc-web-base
Requires:       python-mmc-base
Requires:       mmc-web-dyngroup
Requires:       python-mmc-dyngroup
Requires:       mmc-web-imaging
Requires:       python-mmc-imaging
Requires:       mmc-web-msc
Requires:       python-mmc-msc
Requires:       mmc-web-pkgs
Requires:       python-mmc-pkgs
Requires:       mmc-web-pulse2
Requires:       python-mmc-pulse2
Requires:       pulse2-common
Recommends:     pulse2-davos-client
Requires:       pulse2-inventory-server
Requires:       pulse2-launchers
Requires:       pulse2-package-server
Requires:       pulse2-scheduler
Requires:       python-pulse2-common-database-dyngroup
Requires:       pulse-mmc-web-computers-inventory-backend
Requires:       pulse-python-mmc-computers-inventory-backend
Requires:       pulse2-homepage

%description
Management Console agent & web interface with
base and password policies modules.

%files

#--------------------------------------------------------------------

%package -n python-mmc-dyngroup
Summary:    Dynamic computer group plugin for the MMC agent
Group:      System/Servers
Requires:   pulse2-common = %version-%release
Requires:   python-pulse2-common-database-dyngroup = %version-%release

%description -n python-mmc-dyngroup
This package contains the dynamic computer group plugin for the MMC agent. It
stores into a database static and dynamic group of computers to ease massive
software deployment.

%files -n python-mmc-dyngroup
%defattr(-,root,root,0755)
%attr(0640,root,root) %config(noreplace) %{_sysconfdir}/mmc/plugins/dyngroup.ini
%{py_puresitedir}/mmc/plugins/dyngroup

#--------------------------------------------------------------------

%package -n     mmc-web-dyngroup
Summary:        Dynamic computer group plugin for the MMC web interface
Group:          System/Servers
Requires:       pulse2-common = %version-%release
Requires:       mmc-web-base >= %mmc_version

%description -n mmc-web-dyngroup
This package contains the dynamic computer group plugin for the MMC web
interface. It allows one to build static and dynamic group of computers to
ease massive software deployment.

%files -n mmc-web-dyngroup
%{_datadir}/mmc/modules/dyngroup

#--------------------------------------------------------------------

%package -n python-mmc-backuppc
Summary:    Backuppc plugin for the MMC agent
Group:      System/Servers
Requires:   pulse2-common = %version-%release
Requires:   p7zip
Requires:   python-pyquery

%description -n python-mmc-backuppc
This package contains the backuppc plugin for the MMC agent.

%files -n python-mmc-backuppc
%defattr(-,root,root,0755)
%attr(0640,root,root) %config(noreplace) %{_sysconfdir}/mmc/plugins/backuppc.ini
%{py_puresitedir}/mmc/plugins/backuppc
%{py_puresitedir}/pulse2/database/backuppc
%_sbindir/pulse2-backup-servers
%_bindir/pulse2-backup-handler

#--------------------------------------------------------------------

%package -n python-mmc-connection-manager
Summary:    Connection Manager plugin for the MMC agent
Group:      System/Servers
Requires:   pulse2-common = %version-%release
Requires:   p7zip
Requires:   python-pyquery

%description -n python-mmc-connection-manager
This package contains the connection manager plugin for the MMC agent.

%files -n python-mmc-connection-manager
%defattr(-,root,root,0755)
%attr(0640,root,root) %config(noreplace) %{_sysconfdir}/mmc/pulse2/cm
%{py_puresitedir}/mmc/plugins/backuppc
%{py_puresitedir}/pulse2/cm
%{_sysconfdir}/init.d/pulse2-cm
%_sbindir/pulse2-cm
%_sbindir/pulse2-create-group

##--------------------------------------------------------------------

%package -n     mmc-web-backuppc
Summary:        Backuppc plugin for the MMC web interface
Group:          System/Servers
Requires:       pulse2-common = %version-%release
Requires:       mmc-web-base >= %mmc_version

%description -n mmc-web-backuppc
This package contains the backuppc plugin for the MMC web interface.

%files -n mmc-web-backuppc
%{_datadir}/mmc/modules/backuppc

#--------------------------------------------------------------------

%package -n python-mmc-glpi
Summary:    GLPI plugin for the MMC agent
Group:      System/Servers
Requires:   pulse2-common = %version-%release
Requires:   python-mmc-base >= %mmc_version
Requires:   python-sqlalchemy >= 0.6.3
Requires:   python-mysql >= 1.2.1
Requires:   python-pulse2-common = %version-%release

Provides:   pulse-python-mmc-computers-inventory-backend = %version-%release

%description -n python-mmc-glpi
This package contains the GLPI plugin for the MMC agent. It connects to a
GLPI database to get a company inventory. This package contains the
inventory plugin for the MMC agent.

%files -n python-mmc-glpi
%attr(0640,root,root) %config(noreplace) %{_sysconfdir}/mmc/plugins/glpi.ini
%attr(0640,root,root) %config(noreplace) %{_sysconfdir}/mmc/plugins/glpi_search_options.ini
%{py_puresitedir}/mmc/plugins/glpi
%_sbindir/pulse2-extract-glpi-search-options

#--------------------------------------------------------------------

%package -n     mmc-web-glpi
Summary:        GLPI plugin for the MMC web interface
Group:          System/Servers
Requires:       pulse2-common = %version-%release
Requires:       mmc-web-base >= %mmc_version

Provides:       pulse-mmc-web-computers-inventory-backend = %version-%release

%description -n mmc-web-glpi
This package contains the GLPI plugin for the MMC web interface. It
allows one to query a GLPI database to display computer inventory.

%files -n mmc-web-glpi
%{_datadir}/mmc/modules/glpi

#--------------------------------------------------------------------

%package -n python-mmc-msc
Summary:    Pulse 2 MSC plugin for MMC agent
Group:      System/Servers
Requires:   python-base
Requires:   pulse2-common = %version-%release
Requires:   python-mmc-base >= %mmc_version
Requires:   python-pulse2-common-database-msc = %version-%release

%description -n python-mmc-msc
This package contains the MSC (Mageia Secure Control) plugin for the MMC
agent. It allows one to control and manage the entire software deployment
process.

%files -n python-mmc-msc
%attr(0640,root,root) %config(noreplace) %{_sysconfdir}/mmc/plugins/msc.ini
%{py_puresitedir}/mmc/plugins/msc
%{_var}/lib/pulse2/qactions
%_sbindir/pulse2-msc-clean-database
%_mandir/man1/pulse2-msc-clean-database.1.*

#--------------------------------------------------------------------

%package -n     mmc-web-msc
Summary:        MSC plugin for the MMC web interface
Group:          System/Servers
Requires:       pulse2-common = %version-%release
Requires:       mmc-web-base >= %mmc_version

%description -n mmc-web-msc
This package contains the MSC (Mageia Secure Control) plugin for the
MMC web interface. It allows one to control and manage the entire software
deployment process.

%files -n mmc-web-msc
%{_datadir}/mmc/modules/msc

#--------------------------------------------------------------------

%package -n     mmc-web-update
Summary:        Pulse 2 plugin to manage security updates (Linux, Windows Update)
Group:          System/Servers
Requires:       pulse2-common = %version-%release
Requires:       mmc-web-base >= %mmc_version

%description -n mmc-web-update
This package contains the update plugin to handle security updates
(Windows Updates, Linux packages) within Pulse.

%files -n mmc-web-update
%{_datadir}/mmc/modules/update

#--------------------------------------------------------------------

%package -n python-mmc-update
Summary:    Pulse 2 plugin to manage security updates (Linux, Windows Update)
Group:      System/Servers
Requires:   pulse2-common = %version-%release

%description -n python-mmc-update
This package contains the update plugin to handle security updates
(Windows Updates, Linux packages) within Pulse.

%files -n python-mmc-update
%attr(0640,root,root) %config(noreplace) %{_sysconfdir}/mmc/plugins/update.ini
%{py_puresitedir}/mmc/plugins/update

#--------------------------------------------------------------------

%package -n python-mmc-imaging
Summary:    Imaging plugin for MMC agent
Group:      System/Servers
Requires:   pulse2-common = %version-%release
Requires:   python-pulse2-common-database-imaging = %version-%release
# Needed for ImportError: No module named tasks
Requires:   python-mmc-core >= 3.1.1

%description -n python-mmc-imaging
This package contains the imaging plugin for MMC agent.

%files -n python-mmc-imaging
%attr(0640,root,root) %config(noreplace) %{_sysconfdir}/mmc/plugins/imaging.ini
%{py_puresitedir}/mmc/plugins/imaging

#--------------------------------------------------------------------

%package -n	mmc-web-imaging
Summary:	Imaging plugin for the MMC web interface
Group:		System/Servers
Requires:       pulse2-common = %version-%release
Requires:       python-mmc-base >= %mmc_version

%description -n mmc-web-imaging
This package contains the imaging plugin for the MMC web interface.

%files -n mmc-web-imaging
%defattr(-,root,root,0755)
%{_datadir}/mmc/modules/imaging

#--------------------------------------------------------------------

%package -n python-mmc-support
Summary:    Imaging plugin for MMC agent
Group:      System/Servers
Requires:   pulse2-common = %version-%release
Requires:   python-pulse2-common-database-imaging = %version-%release
# Needed for ImportError: No module named tasks
Requires:   python-mmc-core >= 3.1.1

%description -n python-mmc-support
This package contains the imaging plugin for MMC agent.

%files -n python-mmc-support
%attr(0640,root,root) %config(noreplace) %{_sysconfdir}/mmc/plugins/support.ini
%{py_puresitedir}/mmc/plugins/support

#--------------------------------------------------------------------

%package -n     mmc-web-support
Summary:        Imaging plugin for the MMC web interface
Group:          System/Servers
Requires:       pulse2-common = %version-%release
Requires:       python-mmc-base >= %mmc_version

%description -n mmc-web-support
This package contains the imaging plugin for the MMC web interface.

%files -n mmc-web-support
%defattr(-,root,root,0755)
%{_datadir}/mmc/modules/support

#--------------------------------------------------------------------

%package -n python-mmc-inventory
Summary:    Inventory plugin for the MMC agent
Group:      System/Servers
Requires:   pulse2-common = %version-%release
Requires:   python-mmc-base >= %mmc_version
Requires:   python-pulse2-common-database-inventory = %version-%release

Provides:   pulse-python-mmc-computers-inventory-backend = %version-%release

%description -n python-mmc-inventory
This package contains the inventory plugin for the MMC agent

%files -n python-mmc-inventory
%attr(0640,root,root) %config(noreplace) %{_sysconfdir}/mmc/plugins/inventory.ini
%{py_puresitedir}/mmc/plugins/inventory
%_sbindir/pulse2-inventory-clean-database
%_sysconfdir/init.d/pulse2-register-pxe
%_sbindir/pulse2-register-pxe.py
%_mandir/man1/pulse2-inventory-clean-database.1.*

#--------------------------------------------------------------------

%package -n     mmc-web-inventory
Summary:        Inventory plugin for the MMC web interface
Group:          System/Servers
Requires:       pulse2-common = %version-%release
Requires:       mmc-web-base >= %mmc_version

Provides:       pulse-mmc-web-computers-inventory-backend = %version-%release

%description -n mmc-web-inventory
This package contains the inventory plugin for the MMC web interface.

%files -n mmc-web-inventory
%{_datadir}/mmc/modules/inventory

#--------------------------------------------------------------------

%package -n python-mmc-pkgs
Summary:    Pkgs plugin for the MMC agent
Group:      System/Servers
Requires:   pulse2-common = %version-%release
Requires:   python-mmc-msc = %version-%release

%description -n python-mmc-pkgs
This package contains the pkgs plugin for the MMC agent.

%files -n python-mmc-pkgs
%attr(0640,root,root) %config(noreplace) %{_sysconfdir}/mmc/plugins/pkgs.ini
%{py_puresitedir}/mmc/plugins/pkgs

#--------------------------------------------------------------------

%package -n     mmc-web-pkgs
Summary:        Package management plugin for the MMC web interface
Group:          System/Servers
Requires:       pulse2-common = %version-%release
Requires:       mmc-web-base >= %mmc_version


%description -n mmc-web-pkgs
This package contains the package management plugin for the MMC web
interface.

%files -n mmc-web-pkgs
%{_datadir}/mmc/modules/pkgs

#--------------------------------------------------------------------

%package -n python-mmc-pulse2
Summary:    Pulse 2 MMC agent interface plugins
Group:      System/Servers
Requires:   pulse2-common = %version-%release
Requires:   python-mmc-base >= %mmc_version
Requires:   python-mmc-msc = %version-%release
Requires:   python-mmc-dyngroup = %version-%release
Requires:   python-mmc-pkgs = %version-%release
Requires:   python-pulse2-common = %version-%release
Requires:   python-sqlalchemy >= 0.6.3
Requires:   pulse-python-mmc-computers-inventory-backend = %version-%release

%description -n python-mmc-pulse2
This package will install all the Pulse 2 MMC agent interface plugins

%files -n python-mmc-pulse2
%attr(0640,root,root) %config(noreplace) %{_sysconfdir}/mmc/plugins/pulse2.ini
%{py_puresitedir}/mmc/plugins/pulse2

#--------------------------------------------------------------------

%package -n     mmc-web-pulse2
Summary:        Base plugin for the MMC web interface
Group:          System/Servers
Requires:       pulse2-common = %version-%release
Requires:       mmc-web-base >= %mmc_version

%description -n mmc-web-pulse2
This package contains the base plugin for the MMC web interface.

%files -n mmc-web-pulse2
%{_datadir}/mmc/modules/pulse2

#--------------------------------------------------------------------

%package -n     pulse2-common
Summary:        Pulse2 common files
Group:          System/Servers
Requires:       p7zip
Requires:       python-configobj
Requires:       curl
Requires:       nsis
Requires:       bind-utils
Requires:       python-psutil >= 0.6.1
Requires:       python-netaddr

Provides:       /usr/sbin/pulse2-debug

%description -n pulse2-common
This package contains Pulse 2 common files like documentation.

%files -n pulse2-common
%{_sbindir}/pulse2-setup
%{_sbindir}/pulse2-load-defaults
%{_sbindir}/pulse2-dbupdate
%{_sbindir}/pulse2-debug
%{_sbindir}/pulse2-collect-info
%{_var}/lib/pulse2/clients
%_docdir/mmc/contrib/
%_datadir/mmc/conf/apache/pulse.conf
%exclude %{_var}/lib/pulse2/clients/win32/generate-agent-pack.sh.in
#FIXME: Move on the correct package later
# Does not belong to here, lefover file.
%exclude %_sysconfdir/mmc/pulse2/atftpd/pcre.conf

#--------------------------------------------------------------------

%package -n     pulse2-inventory-server
Summary:        Pulse 2 inventory server
Group:          System/Servers
Requires:       pulse2-common = %version-%release
Requires:       python-pulse2-common = %version-%release
Requires:       python-pulse2-common-database-inventory = %version-%release
Requires:       python-mmc-base >= %mmc_version
Requires:       python-OpenSSL

%description -n pulse2-inventory-server
This package contains Pulse 2 inventory server. It collects computers
inventories and insert them into the database.

%post -n pulse2-inventory-server
%_post_service pulse2-inventory-server

%preun -n pulse2-inventory-server
%_preun_service pulse2-inventory-server

%files -n pulse2-inventory-server
%{_sysconfdir}/init.d/pulse2-inventory-server
%config(noreplace) %{_sysconfdir}/mmc/pulse2/inventory-server/inventory-server.ini
%{_sysconfdir}/mmc/pulse2/inventory-server/OcsNGMap.xml
%{_sysconfdir}/mmc/pulse2/inventory-server/keys/
%{_sysconfdir}/mmc/pulse2/inventory-server/xml-fix/
%{_sbindir}/pulse2-inventory-server
%_mandir/man1/pulse2-inventory-server.1*
%{py_puresitedir}/pulse2/inventoryserver

#--------------------------------------------------------------------

%package -n     pulse2-launchers
Summary:        Pulse 2 launcher service
Group:          System/Servers
Requires:       rsync
Requires:       pulse2-common = %version-%release
Requires:       python-pulse2-common = %version-%release
#Requires:       libsys-syslog-perl
Requires:       openssh-clients
Requires:       iputils
Requires:       python-mmc-base >= %mmc_version
Requires:       python-OpenSSL
Obsoletes:      pulse2-launcher < 1.5.0
Provides:       pulse2-launcher = %version-%release

%description -n pulse2-launchers
This package contains the Pulse 2 launcher service. The Pulse 2 scheduler
service asks the launcher to connect to a set of target computers and start
a deployment. Multiple launchers can be instantiated at the same time for
scalability.

%post -n pulse2-launchers
%_post_service pulse2-launchers

%preun -n pulse2-launchers
%_preun_service pulse2-launchers

%files -n pulse2-launchers
%{_sysconfdir}/init.d/pulse2-launchers
%config(noreplace) %{_sysconfdir}/mmc/pulse2/launchers/launchers.ini
%{_sysconfdir}/mmc/pulse2/launchers/keys
%{_sbindir}/pulse2-launcher
%{_sbindir}/pulse2-launchers-manager
%{_sbindir}/pulse2-output-wrapper
%{_sbindir}/pulse2-ping
%{_sbindir}/pulse2-wol
%{_sbindir}/pulse2-tcp-sproxy
%{_mandir}/man1/pulse2-launcher.1.*
%{_mandir}/man1/pulse2-launchers-manager.1.*
%{_mandir}/man1/pulse2-output-wrapper.1.*
%{_mandir}/man1/pulse2-ping.1.*
%{_mandir}/man1/pulse2-tcp-sproxy.1.*
%{_mandir}/man1/pulse2-wol.1.*
%{py_puresitedir}/pulse2/launcher

#--------------------------------------------------------------------

%package -n     pulse2-package-server
Summary:        Pulse 2 package server
Group:          System/Servers
Requires:       pulse2-common = %version-%release
Requires:       python-pulse2-common = %version-%release
Requires:       cdrkit-genisoimage
Requires:       python-OpenSSL

Provides:       pulse2-imaging-server = %version-%release
Obsoletes:      pulse2-imaging-server < %version-%release

%description -n pulse2-package-server
This package contains the Pulse 2 package server. The package server manages
the packages and the images repository.

%post -n pulse2-package-server
%_post_service pulse2-package-server

%preun -n pulse2-package-server
%_preun_service pulse2-package-server

%files -n pulse2-package-server
%{_sysconfdir}/init.d/pulse2-package-server
%{_bindir}/pulse2-synch-masters
%config(noreplace) %_sysconfdir/mmc/pulse2/package-server/package-server.ini
%{_sysconfdir}/mmc/pulse2/package-server/keys
%{_sbindir}/pulse2-package-server
%{_sbindir}/pulse2-package-server-register-imaging
%_mandir/man1/pulse2-package-server.1*
%_mandir/man1/pulse2-package-server-register-imaging.1.*
%{py_puresitedir}/pulse2/package_server

#--------------------------------------------------------------------

%package -n     pulse2-scheduler
Summary:        Pulse 2 scheduler service
Group:          System/Servers
Requires:       python-mmc-database

%description -n pulse2-scheduler
This package contains the Pulse 2 scheduler service. It connects to the MSC
(Mageia Secure Control) database and tell to Pulse 2 launchers to start
new deployment jobs when needed.

%post -n pulse2-scheduler
%_post_service pulse2-scheduler

%preun -n pulse2-scheduler
%_preun_service pulse2-scheduler

%files -n pulse2-scheduler
%{_sysconfdir}/init.d/pulse2-scheduler
%dir %_var/lib/pulse2/packages
%dir %_var/lib/pulse2/imaging
%dir %_var/lib/pulse2/imaging/bootmenus
%dir %_var/lib/pulse2/imaging/isos
%dir %_var/lib/pulse2/imaging/computers
%dir %_var/lib/pulse2/imaging/inventories
%dir %_var/lib/pulse2/imaging/masters
#%dir %_var/lib/pulse2/imaging/custom
%dir %_var/lib/pulse2/imaging/archives
%config(noreplace) %_sysconfdir/mmc/pulse2/scheduler/scheduler.ini
%{_sysconfdir}/mmc/pulse2/scheduler/keys
%{_sbindir}/pulse2-scheduler
%{_sbindir}/pulse2-scheduler-manager
%{_sbindir}/pulse2-scheduler-proxy
%_mandir/man1/pulse2-scheduler*.1*
%{py_puresitedir}/pulse2/scheduler

#--------------------------------------------------------------------

%package -n     python-pulse2-common-database-dyngroup
Summary:        Pulse 2 common dynamic groups database files
Group:          System/Servers
Requires:       pulse2-common = %version-%release
Requires:       python-pulse2-common-database = %version-%release

%description -n python-pulse2-common-database-dyngroup
This package contains Pulse 2 common dynamic groups database files.

%files -n python-pulse2-common-database-dyngroup
%{py_puresitedir}/pulse2/database/dyngroup

#--------------------------------------------------------------------

%package -n     python-pulse2-common-database-imaging
Summary:        Pulse 2 common imaging database files
Group:          System/Servers
Requires:       pulse2-common = %version-%release
Requires:       python-pulse2-common-database = %version-%release

%description -n python-pulse2-common-database-imaging
This package contains Pulse 2 common imaging database files

%files -n python-pulse2-common-database-imaging
%{py_puresitedir}/pulse2/database/imaging

#--------------------------------------------------------------------

%package -n     python-pulse2-common-database-inventory
Summary:        Pulse 2 common inventory database files
Group:          System/Servers
Requires:       pulse2-common = %version-%release
Requires:       python-pulse2-common-database = %version-%release

%description -n python-pulse2-common-database-inventory
This package contains Pulse 2 common inventory database files

%files -n python-pulse2-common-database-inventory
%{py_puresitedir}/pulse2/database/inventory

#--------------------------------------------------------------------

%package -n     python-pulse2-common-database-msc
Summary:        Pulse 2 common MSC database files
Group:          System/Servers
Requires:       pulse2-common = %version-%release
Requires:       python-pulse2-common-database = %version-%release

%description -n python-pulse2-common-database-msc
This package contains Pulse 2 common MSC database files

%files -n python-pulse2-common-database-msc
%{py_puresitedir}/pulse2/database/msc

#--------------------------------------------------------------------

%package -n     python-pulse2-common-database
Summary:        Pulse 2 common database files
Group:          System/Servers
Requires:       pulse2-common = %version-%release
Requires:       python-pulse2-common = %version-%release
Requires:       python-sqlalchemy >= 0.6.3
Requires:       python-mysql

%description -n python-pulse2-common-database
This package contains Pulse 2 common database files.

%files -n python-pulse2-common-database
%{py_puresitedir}/pulse2/database/__init__.py
%{py_puresitedir}/pulse2/database/pulse/__init__.py
%{py_puresitedir}/pulse2/database/pulse/config.py

#--------------------------------------------------------------------

%package -n     pulse2-uuid-resolver
Summary:        Helper to resolve Pulse's UUID into IP address
Group:          System/Servers
Requires:       python-pulse2-common = %version-%release

%description -n pulse2-uuid-resolver
This package contains a helper to resolve Pulse's UUID into IP address.

%files -n pulse2-uuid-resolver
%dir %{_sysconfdir}/mmc/pulse2/uuid-resolver
%attr(0644,root,root) %config(noreplace) %_sysconfdir/mmc/pulse2/uuid-resolver/uuid-resolver.ini
%_bindir/pulse2-uuid-resolver

#--------------------------------------------------------------------
%package -n     pulse2-dlp-server
Summary:        Pulse 2 Download provider service
Group:          System/Servers
Requires:       python-pulse2-common = %version-%release
Requires:       python-cherrypy

%description -n pulse2-dlp-server
This package contains a WSGI daemon to provide "pull mode" interface
for clients outside the corporate LAN.

%post -n pulse2-dlp-server
%_post_service pulse2-dlp-server

%preun -n pulse2-dlp-server
%_preun_service pulse2-dlp-server

%files -n pulse2-dlp-server
%_bindir/pulse2-dlp-server
%attr(0640,root,root) %config(noreplace) %_sysconfdir/mmc/pulse2/dlp-server/dlp-apache.conf
%attr(0640,root,root) %config(noreplace) %_sysconfdir/mmc/pulse2/dlp-server/dlp-server.ini
%attr(0640,root,root) %config(noreplace) %_sysconfdir/mmc/pulse2/dlp-server/dlp-wsgi.ini
%{py_puresitedir}/pulse2/dlp
%_sysconfdir/init.d/pulse2-dlp-server

#--------------------------------------------------------------------

%package -n     python-pulse2-common
Summary:        Pulse 2 common files
Group:          System/Servers
Requires:       pulse2-common = %version-%release
Requires:       python-twisted-web >= 2.4.0

Provides:       python-pulse2-meta < 1.5.0
Obsoletes:      python-pulse2-meta = %version-%release

Provides:       pulse2-common-client-apis < 1.5.0
Obsoletes:      pulse2-common-client-apis = %version-%release


%description -n python-pulse2-common
This package contains Pulse 2 common files.

%files -n python-pulse2-common
%{py_puresitedir}/pulse2/apis
%{py_puresitedir}/pulse2/imaging
%{py_puresitedir}/pulse2/managers
%{py_puresitedir}/pulse2/__init__.py
%{py_puresitedir}/pulse2/cache.py
%{py_puresitedir}/pulse2/consts.py
%{py_puresitedir}/pulse2/health.py
%{py_puresitedir}/pulse2/site.py
%{py_puresitedir}/pulse2/time_intervals.py
%{py_puresitedir}/pulse2/utils.py
%{py_puresitedir}/pulse2/version.py
%{py_puresitedir}/pulse2/xmlrpc.py
%{py_puresitedir}/pulse2/network.py

#--------------------------------------------------------------------

%prep
%setup -q  -n pulse2-%version
%patch1 -p1

%build

%configure2_5x --disable-python-check --disable-wol

%make -C services/3rd_party wol-src
pushd services/3rd_party/wol-src
        	%configure2_5x
popd

%make
%make -C services/3rd_party pulse2-wol

%install
%makeinstall_std

mkdir -p %buildroot%{_sbindir}
install -m 755 services/3rd_party/pulse2-wol %buildroot%{_sbindir}/pulse2-wol

mkdir -p %buildroot%_var/lib/pulse2/packages

# Already provided by MMC packages
rm -f %buildroot%{py_puresitedir}/mmc/__init__.py
rm -f %buildroot%{py_puresitedir}/mmc/plugins/__init__.py
rm -rf %buildroot%{_sysconfdir}/init.d/pulse2-imaging-server

# Package doc later
rm -rf  %buildroot%_docdir/pulse2

cp %{SOURCE1} %buildroot%_sysconfdir/init.d/pulse2-dlp-server

# Cleanup
find '%{buildroot}' -name '*.pyc' -o -name '*.pyo' -delete




%changelog
* Thu Feb 09 2017 neoclust <neoclust> 3.6.0-3.mga6
+ Revision: 1085215
- Pulse2 3.6.0 Final release

* Sat Dec 24 2016 neoclust <neoclust> 3.6.0-2.mga6
+ Revision: 1076682
- Try to fix dep issue

* Mon Nov 14 2016 neoclust <neoclust> 3.6.0-1.mga6
+ Revision: 1067102
- New version 3.6.0

* Fri Sep 23 2016 neoclust <neoclust> 3.5-3.mga6
+ Revision: 1055460
- New git snapshot
 - [FEATURE] Add Mageia support in the dashboard
 - [BUGFIX]  Fix the loading of json files containing non printable characters in PXE registration
 - [BUGFIX]  Fix listing packages in Launch Bundle view of computer's secure control
 - [BUGFIX]  Fix for deployment on targets where IP address has changed
 - [FEATURE] Restore backup to other hosts
 - [BUGFIX]  Make use of preferred_network for the choice of launcher
 - [FEATURE] Upgrade inventory agent to 2.3.18
 - [BUGFIX]  Enable registration of assembled machines

* Wed Aug 03 2016 neoclust <neoclust> 3.5-2.mga6
+ Revision: 1044371
- New snapshot ( pxe fixes )

* Tue Jun 28 2016 neoclust <neoclust> 3.5-1.mga6
+ Revision: 1038022
- New version 3.5.0

* Wed Jun 01 2016 neoclust <neoclust> 3.4-2.mga6
+ Revision: 1019707
- New snapshot, fixes PXE issues

* Tue May 24 2016 neoclust <neoclust> 3.4-1.mga6
+ Revision: 1018221
- New version 3.4

* Mon Apr 25 2016 neoclust <neoclust> 3.3-5.mga6
+ Revision: 1006015
- New snapshot ( multicast fixes)

* Fri Mar 25 2016 neoclust <neoclust> 3.3-4.mga6
+ Revision: 995471
- Add python-netaddr as require of pulse2 ( neded by pulse2-setup)

* Wed Mar 23 2016 neoclust <neoclust> 3.3-3.mga6
+ Revision: 994362
- Fix Require but change it to recommends as pulse2-davos-client will live on nonfree

* Tue Mar 22 2016 neoclust <neoclust> 3.3-2.mga6
+ Revision: 994071
- New version 3.3

* Sun Jan 24 2016 akien <akien> 3.0.2-2.mga6
+ Revision: 927078
- Better filtering of pear() requires

  + neoclust <neoclust>
    - Fix pulse URL

* Thu Jan 21 2016 neoclust <neoclust> 3.0.2-1.mga6
+ Revision: 926236
- Use new upstream tarball with merged patches

* Thu Jan 21 2016 neoclust <neoclust> 3.0.2-0.1.mga6
+ Revision: 926215
- imported package pulse2

